#include<stdio.h>

int main(){
	int a, b, x, y;
	scanf("%d%d%d%d", &a, &b, &x, &y);
	if (a == x && b == y){
		printf("nijedan");
		return 0;
	}
	else if(a == x){
		printf("prvi");
		return 0;
	}
	else if(b == y){
		printf("drugi");
		return 0;
	}
	else{
		printf("?");
		return 0;
	}
}